Subject: RE: [Sipping] Application identification with callee caps/caller preferences (Was SIP)

From: Gordon Ledgard <[email-masked]>
Date: Wed, 28 Apr 2004 11:05:30 -0400

Isn't the difference between O/A and Pref/Caps simply
the difference between media negotiation (transport layer)
and application capability?

I would not have thought this to be a complicated distinction.

O/A says "I have all the hardware and infrastructure to support
this".

Pref/Caps says "I'm not set up to deal with this (I do not have 
certain features loaded) or I don't want to right now."

Life is a grey area. :)

Gordon Ledgard
IPeria, Inc.

> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Wednesday, April 28, 2004 9:06 AM
> To: Paul Kyzivat; [email-masked]
> Subject: [Sipping] Application identification with callee caps/caller
> preferences (Was SIP)
> 
> 
> 
> Moving to SIPPING, because that's where this belongs.
> 
> Following up on a previous thread:
> 
> Paul Kyzivat wrote:
> 
>  > Dean Willis wrote
> >> Of course, I'm still deeply confused between:
> >> 1) preference/capability negotiation enabled by offer/answer
> >> 2) preference/capability negotiation enabled by 
> callee-caps/caller-pref.
> > 
> > Forking and offer/answer provide a partial solution. But 
> offer/answer 
> > doesn't give you a way to say you don't want the call unless your 
> > offered media are accepted. At least not an easy way. 
> Conceivably some 
> > new extension to preconditions could be made to handle this kind of 
> > thing. Lacking that you run the risk of having an unsuitable device 
> > answer, even if there is a suitable device present.
> > 
> > Callerprefs gives you an increased likelihood that you will 
> end up with 
> > a suitable device.
> 
> The above is a "good start".
> 
> One of the challenges I'm faced with regularly is helping SIP-using 
> designers decide what to negotiate with O/A and what to 
> negotiate with 
> prefs/caps.
> 
> Someone even asked me yesterday why we don't just do everything with 
> prefs/caps and deprecate O/A.
> 
> So, if somebody out there is looking for a meaningful task, 
> it might be 
> reasonable to undertake a clear explanation of the relationship and 
> usage of these related mechanisms. Perhaps we should see what kind of 
> consensus we have here on the list . . .
> 
> Here's a debate to consider: Let's say I want to make a voice 
> push-to-talk call to somebody. This means I'm wanting to use 
> push-to-talk behavior, and negotiate a floor control protocol 
> and voice 
> codec to be used within the call.
> 
> We seem to have consensus that the voice codec, port numbers, and IP 
> addresses involved are to be described in SDP and negotiated in O/A 
> mode. That's "traditional SIP".
> 
> How about the floor control protocol to use? Prefs/Caps or O/A? My 
> personal guess is that this is O/A.
> 
> And here's the hard one -- Is the desire for push-to-talk behavior 
> something that should be expressed as caller preferences and 
> matched by 
> the routing function to a termination whose callee-caps indicate 
> compatibility, or is it something that should be described in an SDP 
> offer/answer? Or something else entirely?
> 
> --
> Dean
> 
> 
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP